<?php
/**
 * ===========================================================================
 * Veitool 快捷开发框架系统
 * Author: Niaho 26843818@qq.com
 * Copyright (c)2019-2025 www.veitool.com All rights reserved.
 * Licensed: 这不是一个自由软件，不允许对程序代码以任何形式任何目的的再发行
 * ---------------------------------------------------------------------------
 */

namespace app\model;
use app\model\project\User;
use think\Model;

/**
 * 课程模型
 */
class CertOrder extends Model
{

    public function certdata()
    {
        return $this->hasOne(Cert::class, 'id', 'cert_id')
            ->field('id,title');

    }

    public function userprofile()
    {
        return $this->belongsTo(User::class, 'user_id', 'id')
            ->field('id,username,mobile');

    }
    public function getCreatetimeAttr($value)
    {
        return date('Y-m-d H:i:s', $value);
    }

}